Subject: Re: B20.1: expect: spawn -open doesn't work
From: "Dr. Volker Zell" <[email-masked]>
To: Brian Petry <[email-masked]>
Cc: [email-masked]
Date: 21 Jul 1999 20:15:44 +0200

>>>>> "Brian" == Brian Petry <[email-masked]> writes:

    Brian> Hello,

    Brian> It looks like "spawn -open" doesn't work.

    Brian> This can be easily recreated by running the spawn test
    Brian> script in source distribution.

    Brian> The error text reported by expect (or tcl) is "bad file
    Brian> number".

    Brian> I'm trying use something like "spawn -open [open
    Brian> /dev/com1]".

    Brian> Does anyone have a patch for this problem?

I recompiled tcl from the Cygwin distribution as a X11 app by
undefining __WIN32__

I get:

expect1.1> spawn -open [open /dev/com1]
spawn [open ...]
0
expect1.2> 

Ciao
  Volker

--
Want to unsubscribe from this list?
Send a message to [email-masked]